/*******************************************************************************
* File Name: RiseEdge.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_RiseEdge_ALIASES_H) /* Pins RiseEdge_ALIASES_H */
#define CY_PINS_RiseEdge_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define RiseEdge_0			(RiseEdge__0__PC)
#define RiseEdge_0_PS		(RiseEdge__0__PS)
#define RiseEdge_0_PC		(RiseEdge__0__PC)
#define RiseEdge_0_DR		(RiseEdge__0__DR)
#define RiseEdge_0_SHIFT	(RiseEdge__0__SHIFT)
#define RiseEdge_0_INTR	((uint16)((uint16)0x0003u << (RiseEdge__0__SHIFT*2u)))

#define RiseEdge_INTR_ALL	 ((uint16)(RiseEdge_0_INTR))


#endif /* End Pins RiseEdge_ALIASES_H */


/* [] END OF FILE */
