﻿/*
 *===============================================================================
 *
 *                         OOOOOO
 *                       OOOOOOOOOO
 *      PPPPPPPPPPPPP   OOO      OOO   PPPPPPPPPPPPP
 *    PPPPPPPPPPPPPP   OOO        OOO   PPPPPPPPPPPPPP
 *   PPP         PPP   OOO        OOO   PPP         PPP
 *  PPP          PPP   OOO        OOO   PPP          PPP
 *  PPP          PPP   OOO        OOO   PPP          PPP
 *  PPP          PPP   OOO        OOO   PPP          PPP
 *   PPP         PPP   OOO        OOO   PPP         PPP
 *    PPPPPPPPPPPPPP   OOO        OOO   PPPPPPPPPPPPPP
 *     PPPPPPPPPPPPP   OOO        OOO   PPP
 *               PPP   OOO        OOO   PPP
 *               PPP   OOO        OOO   PPP
 *               PPP   OOO        OOO   PPP
 *               PPP    OOO      OOO    PPP
 *               PPP     OOOOOOOOOO     PPP
 *              PPPPP      OOOOOO      PPPPP
 *
 * @file:   main.c
 * @author: Hugh Spahr
 * @date:   9/16/2015
 *
 * @note:   Open Pinball Project
 *          Copyright© 2015, Hugh Spahr
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *===============================================================================
 */
/**
 * This is main file.  It initializes the tasks, and runs them.
 *
 *===============================================================================
 */
#include <project.h>
#include <stdlib.h>


int main()
{
   CyGlobalIntEnable; /* Enable global interrupts. */

   NeoClock_Start();    /* 4.8 MHz/2 or 2.4 MHz used for NeoPixel bit timings */
   UDBClock_Start();    /* 24MHz/2 or 12MHz clock used to move through UDB state machine */

   /* Write four pieces of data into the buffer */
   // uint8 enableInterrupts;

   //enableInterrupts = CyEnterCriticalSection();
   //NeoPixel_Datapath_1_F0_CLEAR;
   //NeoPixel_Datapath_1_F0_SET_LEVEL_MID;
   //CyExitCriticalSection(enableInterrupts);

   /* Write two bytes of data into the buffer */
   *NeoPixel_Datapath_1_F0_PTR = 0xa5;
   *NeoPixel_Datapath_1_F0_PTR = 0xff;

   for(;;)
   {
      *NeoPixel_Datapath_1_F0_PTR = 0xa5;
   }
}

/* [] END OF FILE */
